Bug 1401447 - unable to share screen on hangout, unable to connect to teamviewer
Summary: unable to share screen on hangout, unable to connect to teamviewer
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: wayland
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-05 09:59 UTC by Mohammed Tayeh
Modified: 2017-12-12 10:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:54:44 UTC


Attachments (Terms of Use)

Description Mohammed Tayeh 2016-12-05 09:59:43 UTC
Description of problem:
on wayland session i can't run and use share screen on hangout also i can't connect to teamviewer 
this problem only on wayland session 
when i switch to xorg its run without any problem

Version-Release number of selected component (if applicable):
gnome-session-wayland-session-3.22.2-1.fc25.x86_64

Comment 1 Yajo 2017-04-10 08:14:16 UTC
Hangouts and TeamViewer are closed apps, with no direct support from Fedora AFAIK, but it is interesting to note that Firefox has the same problem.

Just go to https://appear.in/, log into a room, and choose to share your screen. Under X, no problem; under Wayland, you only share a black block.

The same happens if you go to https://meet.jit.si/, log into a room, and choose to share a window.

Those are new screen sharing methods that use plain HTML5 + WebRTC. The underlying problem might be the same, but these are open source & standards-based solutions that prove a Wayland problem here. Probably better to debug & so on.

Comment 2 Fedora End Of Life 2017-11-16 19:21:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:54:44 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.